#include <bits/stdc++.h>
using namespace std;
int main(){
ios::sync_with_stdio(0);
cin.tie(0);
    int t;
    cin >> t;
    while(t--){
        long long n,m,k,x,res;
        cin >> n >> m >> k;
        string ans;
        x = n/k;
        res = k*x*(x+1)/2 + (n-k*x)*(x+1);
        ans = (m<res)?"Nie":"Tak";
        cout << ans  << '\n';
    }
    return 0;
}